Log4jNotificationLoggerAgent (Mule ESB 2.2.1 API)
Keywords: org.mule.agent.Log4jNotificationLoggerAgent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.agent
Class Log4jNotificationLoggerAgent

    java.lang.Object
      org.mule.AbstractAgent
          org.mule.agent.AbstractNotificationLoggerAgent
              org.mule.agent.Log4jNotificationLoggerAgent

All Implemented Interfaces:
  Agent, MuleContextAware, Disposable, Initialisable, Lifecycle, Startable, Stoppable, NamedObject

    public class Log4jNotificationLoggerAgent

extends AbstractNotificationLoggerAgent

`AbstractNotificationLoggerAgent` Receives Mule server notifications and logs them and can optionally route them to an endpoint

Field Summary
`protected static int` | `DEFAULT_DESCRIPTION_BUFFER_SIZE`
`protected Logger` | `eventLogger`

Fields inherited from class org.mule.agent.AbstractNotificationLoggerAgent
`logger`

Fields inherited from class org.mule.AbstractAgent
`muleContext, name`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`Log4jNotificationLoggerAgent()`

Method Summary
`protected void` | `doInitialise()`
`String` | `getChainsawHost()`
`int` | `getChainsawPort()`
`String` | `getDescription()` Should be a 1 line description of the agent
`Map` | `getLevelMappings()`
`String` | `getLogConfigFile()`
`String` | `getLogFile()`
`String` | `getLogName()`
`protected void` | `logEvent(ServerNotification e)`
`void` | `setChainsawHost(String chainsawHost)`
`void` | `setChainsawPort(int chainsawPort)`
`void` | `setLevelMappings(Map levelMappings)`
`void` | `setLogConfigFile(String logConfigFile)`
`void` | `setLogFile(String logFile)`
`void` | `setLogName(String logName)`

Methods inherited from class org.mule.agent.AbstractNotificationLoggerAgent
`dispose, initialise, isIgnoreAdminNotifications, isIgnoreComponentMessageNotifications, isIgnoreComponentNotifications, isIgnoreConnectionNotifications, isIgnoreCustomNotifications, isIgnoreEndpointMessageNotifications, isIgnoreManagementNotifications, isIgnoreManagerNotifications, isIgnoreMessageNotifications, isIgnoreModelNotifications, isIgnoreSecurityNotifications, registered, setIgnoreAdminNotifications, setIgnoreComponentMessageNotifications, setIgnoreComponentNotifications, setIgnoreConnectionNotifications, setIgnoreCustomNotifications, setIgnoreEndpointMessageNotifications, setIgnoreManagementNotifications, setIgnoreManagerNotifications, setIgnoreMessageNotifications, setIgnoreModelNotifications, setIgnoreSecurityNotifications, start, stop, unregistered`

Methods inherited from class org.mule.AbstractAgent
`getDependentAgents, getName, setMuleContext, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_DESCRIPTION_BUFFER_SIZE

    protected static final int DEFAULT_DESCRIPTION_BUFFER_SIZE

See Also:
  Constant Field Values

### eventLogger

    protected Logger eventLogger

Constructor Detail

### Log4jNotificationLoggerAgent

    public Log4jNotificationLoggerAgent()

Method Detail

### getDescription

    public String getDescription()

  Should be a 1 line description of the agent

  Specified by:
    `getDescription` in interface `Agent`
  Overrides:
    `getDescription` in class `AbstractAgent`
  Returns:
    the description of this Agent

### getLogName

    public String getLogName()

### setLogName

    public void setLogName(String logName)

### doInitialise

    protected void doInitialise()
                         throws InitialisationException

  Specified by:
    `doInitialise` in class `AbstractNotificationLoggerAgent`
  Throws:
    `InitialisationException`

### logEvent

    protected void logEvent(ServerNotification e)

  Specified by:
    `logEvent` in class `AbstractNotificationLoggerAgent`

### getLogFile

    public String getLogFile()

### setLogFile

    public void setLogFile(String logFile)

### getLogConfigFile

    public String getLogConfigFile()

### setLogConfigFile

    public void setLogConfigFile(String logConfigFile)

### getChainsawHost

    public String getChainsawHost()

### setChainsawHost

    public void setChainsawHost(String chainsawHost)

### getChainsawPort

    public int getChainsawPort()

### setChainsawPort

    public void setChainsawPort(int chainsawPort)

### getLevelMappings

    public Map getLevelMappings()

### setLevelMappings

    public void setLevelMappings(Map levelMappings)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.